<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSoftDeletes extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('posts', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('post_localizations', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('post_connections', function (Blueprint $table) {
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('posts', function (Blueprint $table) {
            $table->dropSoftDeletes();
        });
        Schema::table('post_localizations', function (Blueprint $table) {
            $table->dropSoftDeletes();
        });
        Schema::table('post_connections', function (Blueprint $table) {
            $table->dropSoftDeletes();
        });
    }
}
