@extends('cms::auth.layout')


@push('title', trans('cms::auth.reset_password'))

@section('content')

    <form action="{{route('cms.password.email')}}" method="post"
          autocomplete="off"
          @submit="validateBeforeSubmit">
        <div class="card-body login-card-body">
            @csrf
            @honeypot
            <div class="input-group">
                <input id="email"
                       type="email"
                       placeholder="@lang('cms::auth.email')"
                       data-vv-as="@lang('cms::auth.email')"
                       class="form-control @error('email') is-invalid @enderror" name="email"
                       :class="{'is-invalid': errors.has('email')}"
                       value="{{ old('email') }}"
                       v-validate="'required|email'"
                       autocomplete="new-password"
                       autofocus />
                <div class="input-group-append">
                    <div class="input-group-text">
                        <span class="fas fa-envelope"></span>
                    </div>
                </div>

                <div v-if="errors.has('email')" class="invalid-feedback" role="alert">
                    @{{ errors.first('email') }}
                </div>
                @error('email')
                <div class="invalid-feedback" role="alert">{{ $message }}</div>
                @enderror

            </div>
        </div>

        <div class="card-footer text-right">
            <button type="submit" class="btn btn-primary btn-block">@lang('cms::auth.send_reset_password_link')</button>
        </div>
    </form>
@endsection

{{--@section('content_old')--}}
{{--    <div class="container">--}}
{{--        <div class="row justify-content-center">--}}
{{--            <div class="col-md-8">--}}
{{--                <div class="card">--}}
{{--                    <div class="card-header">{{ __('Reset Password') }}</div>--}}

{{--                    <div class="card-body">--}}
{{--                        @if (session('status'))--}}
{{--                            <div class="alert alert-success" role="alert">--}}
{{--                                {{ session('status') }}--}}
{{--                            </div>--}}
{{--                        @endif--}}

{{--                        <form method="POST" action="{{ route('password.email') }}">--}}
{{--                            @csrf--}}

{{--                            <div class="form-group row">--}}
{{--                                <label for="email"--}}
{{--                                       class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>--}}

{{--                                <div class="col-md-6">--}}
{{--                                    <input id="email" type="email"--}}
{{--                                           class="form-control @error('email') is-invalid @enderror" name="email"--}}
{{--                                           value="{{ old('email') }}" required autocomplete="email" autofocus>--}}

{{--                                    @error('email')--}}
{{--                                    <span class="invalid-feedback" role="alert">--}}
{{--                                        <strong>{{ $message }}</strong>--}}
{{--                                    </span>--}}
{{--                                    @enderror--}}
{{--                                </div>--}}
{{--                            </div>--}}

{{--                            <div class="form-group row mb-0">--}}
{{--                                <div class="col-md-6 offset-md-4">--}}
{{--                                    <button type="submit" class="btn btn-primary">--}}
{{--                                        {{ __('Send Password Reset Link') }}--}}
{{--                                    </button>--}}
{{--                                </div>--}}
{{--                            </div>--}}
{{--                        </form>--}}
{{--                    </div>--}}
{{--                </div>--}}
{{--            </div>--}}
{{--        </div>--}}
{{--    </div>--}}
{{--@endsection--}}
