<?php

namespace TDevAgency\Cms\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use TDevAgency\Cms\Models\BaseModels\AdminUserRole;

class AdminAccessMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure $next
     * @return mixed|void
     */
    public function handle(Request $request, Closure $next)
    {
        /** @var AdminUserRole $role */
        foreach ($request->user()->roles as $role) {
            if ((is_string($role) && $role === 'admin') || ($role instanceof AdminUserRole && $role->isRole('admin'))) {
                return $next($request);
            }
        }
        return \Illuminate\Support\Facades\Response::make(null, Response::HTTP_NOT_FOUND);
    }
}
