<?php

namespace TDevAgency\Cms\Traits;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Support\Facades\Request;

/**
 * Trait Fiterable
 *
 * Simple trait for filter list of pages
 *
 * @package TDevAgency\Cms\Traits
 */
trait Filterable
{
    public function scopeFilter(Builder $query): Builder
    {
        $count = count(Request::query());
        if (Request::query('page') !== null) {
            $count--;
        }
        if (Request::query('_token') !== null) {
            $count--;
        }
        if (Request::query('sort') !== null) {
            $count--;
        }
        if (Request::query('direction') !== null) {
            $count--;
        }
        if (Request::query('_token') !== null) {
            $count--;
        }
        if (Request::query('q') !== null && trim(Request::query('q')) !== '') {
            $count--;
        }
        if ($count > 0) {
            foreach (Request::query() as $key => $value) {
                if ($key === 'page' || $key === '_token' || $key === 'q' || $key === 'direction' || $key === 'sort') {
                    continue;
                }
                if (!in_array($key, $this->fillable)) {
                    continue;
                }

                if (is_array($value) && !empty($value)) {
                    $query->whereIn($key, $value);
                } elseif ($value !== null && trim($value) !== '') {
                    $query->where($key, $value);
                }
            }
        }
        return $query;
    }
}
